Call Manager Upgrade 4.2(1) to 5.1(1)

Unanswered Question

Hi Oscar,

I've done a large amount of upgrades, and experience taught me this very important lesson: if you miss one step in an upgrade procedure (you should prepare this because every release is different), you'll run into problems. So if Cisco says it's not supported, I'd say believe them, and don't try to. It might not be obvious on the outside, but the database structures change a lot, so it can cause a lot of corruption should the installer let you do the upgrade.

Check this for more details:


Chris Deren Thu, 12/27/2007 - 09:37

There is no way this will work as there are features in CM 4.2 not available in 5.X, alos some entities such as Device Pool are restructured with different fields which means that the DB is different. I dont see how this would be possible without upgrade tool aware of the differences.



MARTIN STREULE Fri, 12/28/2007 - 02:29


Actually this would be a kind of a downgrade since 4.2 has kind of more features then 5.1.

How about going to 6.0 or 6.1 (early 2008).

It's supported and you dont' even lose features.

Even a supported upgrade can be messy (trust me!).

If you want to go the way you mentioned, build a new system 5.1 and use BAT.




This Discussion